Skip to main content
POST
/
api
/
2.0
/
patient_insurances
/
{id}
/
eligibility
Create Eligibility
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/patient_insurances/{id}/eligibility/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "group_id": 123,
  "group_name": "<string>",
  "group_npi": "<string>"
}
'
{
  "eligibility_check_timestamp": "2023-11-07T05:31:56Z",
  "eligibility_details": {
    "coinsurance": "<string>",
    "coinsurance_ambiguous": true,
    "copay": 123,
    "copay_ambiguous": true,
    "deductible": "<string>",
    "deductible_ambiguous": true,
    "deductible_remaining": "<string>",
    "deductible_remaining_ambiguous": true,
    "errors": [
      {}
    ]
  },
  "patient_id": 123,
  "patient_insurance_id": 123,
  "practice_id": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer
required

The id of the patient insurance

Body

application/json
group_id
integer

ID that matches the group record in Elation system

group_name
string

Name of the group / organization. group_npi field is required if this is populated.

group_npi
string

NPI of the group / organization. group_name field is required if this is populated.

Response

200 - application/json
eligibility_check_timestamp
string<date-time>

Eligibility check timestamp in ISO format.

eligibility_details
object
eligibility_status
enum<string>

Status of eligibility check.

  • active - active
  • inactive - inactive
  • error - error
Available options:
active,
inactive,
error
patient_id
integer

Patient's id in Elation system.

patient_insurance_id
integer

Patient's insurance id in Elation system.

practice_id
integer

Practice's id in Elation system.